<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

		<title>Dokumentation</title>
		<link rel="icon" href="https://nfdi4ing.de/wp-content/uploads/2020/01/cropped-signet-32x32.png">
		<link rel="stylesheet" href="../revealjs.code/dist/reveal.css">
		<link rel="stylesheet" href="../revealjs.code/dist/theme/nfdi.css" id="theme"> <!--/revealjs.code/dist/theme-->

        <link rel="stylesheet" href="../revealjs.code/plugin/highlight/monokai.css">

	
	</head>

	<body>

		<div class="reveal">

			<div class="slides">


						<section class="left size">
				<h7>Dokumentation zur Schnittstelle RevealJS/Markdown</h7>
				</br>
				<div class="links">Übersicht</div>
				<div class="font">1. Erstellen von Markdown Dateien</div>
				<div class="font">2. Einfügen von Markdown Dateien</div>
				<div class="font">3. Verändern der Schriftgröße in Markdown</div>
				<div class="font">4. Einfügen von Bildern in Markdown</div>
				<div class="font">5. Einfügen von H5P Material</div>
				<div class="font">6. Einfügen von Counter (Webseitenaufrufe)</div>
				<div class="font">7. Entwicklungsumgebung</div>

		
				</section>


				<section class="left size">
				<h7>1. Erstellen von Markdown Dateien</h7>
				</br></br>
				<div class="font">1. Erstellen Sie eine neue Markdown Datei im Pfad:</div>
				<div class="links">https://git.rwth-aachen.de/nfdi4ing/education/education-pages/NAME_IHRES_REPOSITORIES/-/tree/master/markdown_slides</div>
			
				<div class="font">2. Wählen Sie den Namen alphabetisch so, dass er der Reihenfolge der Präsentation entspricht (Beispiel: a_datei1.md, b_datei2.md, ..)</div>
				
				<div class="font">3. Schreiben Sie Ihren Inhalt in die neu erstellte Markdown Datei</div>

		  		<div class="font">Hinweis: Benutzen Sie 2 Leerzeichen in Markdown für einen vertikalen Seitenwechsel der Folien. Benutzen Sie 3 Leerzeichen oder eine neue Markdown Datei für einen horizontalen Seitenwechsel der Folien  </div>

				</section>



						<section class="left size">
				<h7>2. Einfügen von Markdown Dateien</h7>
				</br></br>
				<div class="font">1. Öffnen Sie Ihre HTML Datei NAME_IRHER_PRÄSENTATION.html:</div>
				<div class="links">https://git.rwth-aachen.de/nfdi4ing/education/education-pages/NAME_IHRES_REPOSITORIES/-/blob/master/html_slides/NAME_IHRER_PRÄSENTATION.html</div>
				<div class="font">2. Fügen Sie folgenden Code zur Eingliederung Ihrer Datei hinzu:</div>

				<div class="links"> &ltsection data-background-image="../../revealjs.code/logo.svg" 
          class="your name" data-background-size="200px" data-background-position="5% 5%" data-markdown="../markdown_slides/NAME_IHRER_MARKDOWN_DATEI.md" data-separator="^\n\n\n" data-separator-vertical="^\n\n">&lt/section>  </div>
				</br>
				</section>




						<section class="left size">
				<h7>3. Verändern der Schriftgröße in Markdown</h7>
				</br></br>
				<div class="font">1. Öffnen Sie Ihre HTML Datei NAME_IRHER_PRÄSENTATION.html:</div>
				<div class="links">https://git.rwth-aachen.de/nfdi4ing/education/education-pages/NAME_IHRES_REPOSITORIES/-/blob/master/html_slides/NAME_IHRER_PRÄSENTATION.html</div>
				<div class="font">2. Fügen Sie ein neues .css template nach folgendem Schema hinzu:</div>

				<div class="links"> &ltstyle>
				.your {text-align: left;}.name {font-size: 30px;} &lt/style> </div>
				<div class="font">3. Verändern Sie "text-align", "font-size" und "class name" (hier: "your name"):</div>
				<div class="font">4. Gehen Sie zurück zu Schritt 2 und verwenden Sie ihren Klassennamem bei bei "class=your name" im Einfügeschema Ihrer neuen Markdown Datei</div>
				</section>




		


										<section class="left size">
				<h7>4. Einfügen von Bildern in Markdown</h7>
				</br></br>
				<div class="font">1. Laden Sie das Bild in den folgenden Ordner als .png Format:</div>
				<div class="links">https://git.rwth-aachen.de/nfdi4ing/education/education-pages/NAME_IHRES_REPOSITORIES/-/tree/master/media_files</div>
				<div class="font">2. Fügen Sie folgenden Code zur Eingliederung des Bildes in der gewählten Markdown Datei hinzu:</div>

				<div class="links">![](https://git.rwth-aachen.de/nfdi4ing/education/education-pages/NAME_IHRES_REPOSITORIES/-/raw/master/media_files/YOUR_IMAGE_NAME.png "YOUR_IMAGE_TITLE")  </div>
				<div class="font">3. Fügen Sie die Markdown Datei wie in Abschnitt 2 beschrieben in dem Ihre HTML Datei</div>
				</section>




										<section class="left size">
				<h7>5. Einfügen H5P Material</h7>
				</br></br>
				<div class="font">1. Erstellen Sie H5P Material mit einer ausgewählten Software. Eine beispielhafte Software hierfür ist Lumi. Nutzen Sie die Dokumentation von H5P als Hilfe.</div>
				<div class="links"> <a href="https://lumi.education/">Lumi.education</a>, <a href="https://h5p.org/documentation">Dokumentation</a>, <a href="https://www.media-data.org/vergleich-h5p-editoren/">Weitere H5P Tools</a></div>
				<!--<div><font size="5" > <a href="https://h5p.org/documentation">Dokumentation</a></font></div>-->
				<div class="font">2. Laden Sie die erstellte Datei in einem neuen Ordner im folgenden Pfad hoch:</div>

				<div class="links">https://git.rwth-aachen.de/nfdi4ing/education/education-pages/NAME_IHRES_REPOSITORIES/h5p_slides/ORDNERNAME_FUER_ERSTELLTE_H5P_DATEIEN_EINES_CONTENTS/ </div>
				<div class="font">3. Referenzieren Sie in der JavaScript Funktion setup() ihrer HTML Datei den Ordner des H5P Material in der Variable "h5pJsonPath" und benennen Sie den div Container: "await new H5P(document.getElementById('CONTAINER_NAME')"</div>			
				</section>
				

				<section class="left size">
				<h7>5. Einfügen H5P Material</h7>
						</br></br>
							<div class="font">4. Platzieren Sie den div Container an der gewünschten Stelle in Ihrer Präsentation: "&ltdiv id="CONTAINER_NAME">&lt/div>"</div>
				<div class="font">5. Benutzen Sie Ihre Kopie der <a href="https://git.rwth-aachen.de/nfdi4ing/education/education-pages/revealjs/-/blob/master/html_slides/beispielvorlage.html">Beispielvorlage</a>, welche auch Inhalte von H5P anzeigt</div>
</br>
				<div class="font">Hinweise:</div>

				<div class="font">1) In der Windows Version von Lumi müssen Sie die .H5P Datei zunächst entspacken (Beispielsweise mit der Software WinRAR)</div>

				<div class="font">2) Die Ordnerstruktur beinhaltet mehrere Dateien und kann somit nur mit git hochgeladen werden (nicht über die Weboberfläche von Gitlab)</div>
				</section>


				<section class="left size">
					<h7>6. Einfügen von Counter (Webseitenaufrufe)</h7>
						</br></br>
							<div class="font"> Der Besucherzähler funktioniert mit </div>
							<div class="links"> <a href="https://www.besucherzaehler-kostenlos.de/webcounter/">https://www.besucherzaehler-kostenlos.de/webcounter/</a> </div>
							<!--<div><font size="5" > <a href="https://h5p.org/documentation">Dokumentation</a></font></div>-->
							<div class="font">1. Gehen Sie auf die Webseite und wählen Sie ein Design </div>
							
							<div class="font">2. Kopieren Sie den Quellcode und fügen Sie diesen in Ihre Präsentation (Zeile 230 in der Beispielvorlage)</div>
				</section>


				<section class="left size">
					<h7>7. Entwicklungsumgebung</h7>
						</br></br>
							
							<div class="font">1. Kopieren Sie die Beispielvorlage in Ihre erstellte Datei </div>
							
							<div class="font">2. Nutzen Sie die Datei testumgebung.html als Paralleldatei zur Entwicklung. Ein Direktlink ist in Ihrer README Datei im Repository zu finden</div>
				</section>

				<section class="left size">
				<h7>Dokumentationen:</h7>
				</br></br>
				<div class="links"> <a href="https://revealjs.com/">RevealJS Dokumentation</a></div>
				<div class="links"> <a href="https://www.markdownguide.org/basic-syntax/">Markdown Dokumentation</a></div>
				<div class="links"> <a href="https://nfdi4ing.pages.rwth-aachen.de/education/education-pages/revealjs/html_slides/dokumentation.html#/">Schnittstelle Dokumentation</a></div>

				</br>
				<h7>Kontakt:</h7>
				</br></br>
				<div class="links">Projektmanager: m.moser@wzl.rwth-aachen.de,t.hamann@wzl.rwth-aachen.de</div>
				<div class="links">Technische Umsetzung: l.lipka@wzl.rwth-aachen.de,j.werheid@wzl.rwth-aachen.de</div>
				<div class="links">Werkzeugmaschinenlabor RWTH Aachen, Lehrstuhl für Fertigungsmesstechnik und Qualitätsmanagement</div>
			 	</section>


		</div>
		</div>

		<script src="../revealjs.code/dist/reveal.js"></script>
        <script src="../revealjs.code/plugin/markdown/markdown.js"></script>
        <script src="../revealjs.code/plugin/highlight/highlight.js"></script>
        <script src="../revealjs.code/plugin/notes/notes.js"></script>
        <script src="../revealjs.code/plugin/math/math.js"></script>
        <script src="../revealjs.code/plugin/quiz/js/quiz.js"></script>

		<script>


			Reveal.initialize({
				controlsLayout: 'edges',
				slideNumber: 'c',
				controls: true,
				progress: true,
				history: true,
				center: true,

				plugins: [ RevealMarkdown, RevealHighlight, RevealNotes, RevealMath.KaTeX ]

			});

		</script>

	</body>

</html>

<!--############################################################################################################################################################-->

				<!-- Here are two css templates we use. The first for the logo and the second for the markdown slides, you can write new ones and select them above -->
				
		<style>
			.headlines {
				font-size: 75%;
				text-align: center;
				line-height: 1.8;
				font-weight: bold;
			}
			.links {
				font-size: 45%;
				text-align: left;
				line-height: 1.8;
			}
			.font {
				font-size: 40%;
				text-align: left;
				line-height: 1.8;
			}
			#lizenz {
				position: absolute;
				bottom: 3%;
				right: 5%;
				font-size: 50%;
				font-family: "Arial";
				width:100px;
				word-wrap: break-word;
			}
			.logo {
				position: absolute;
				top: 3%;
				right: 2%;
				font-family: "Arial";
			}
			.logoimage {
				width: 5vw;
			}
			#moreinfo {
				position: absolute;
				bottom: 3%;
				left: 1%;
				font-size: 50%;
				font-family: "Arial";
			}
			#back {
				position: absolute;
				top: 1%;
				left: 1%;
				font-family: "Arial";
			}
			#back2 {
				position: absolute;
				top: 2%;
				left: 4.2em;
				font-size: 50%;
				font-family: "Arial";
			}
			.backimage {
				width: 1.2em;
			}
				#headline {
		position: absolute;
		bottom: 85%;
		left: 10%;
		font-size: 80%;
		font-family: "Arial";
	}
	#lizenz {
		position: absolute;
		bottom: 3%;
		right: 5%;
		font-size: 50%;
		font-family: "Arial";
		width:100px;
		word-wrap: break-word;
	}
	#moreinfo {
		position: absolute;
		bottom: 5%;
		left: 1%;
		font-size: 50%;
		font-family: "Arial";
	}
	#moreinfo2 {
		position: absolute;
		bottom: 95%;
		left: 1%;
		font-size: 50%;
		font-family: "Arial";
	}

	.div1 {
		display: inline-block;
		vertical-align:top;
	}
	.text {
		text-align: justify;
		vertical-align:top;
	}
	.trainingtitle {
		font-weight: bold;
		font-size: 80%;
	}
	.trainingextras {
		font-size: 50%;
		line-height: 1.8;
	}

	.together {
		/*position: absolute;*/
		display: inline-block;
		vertical-align:top;
		/*margin;left:10px;*/
		/*background-color:lightblue;*/
		width:350px;
		word-wrap: break-word;
		/*border:4px double blue;*/
		}

		</style>
	
			<style>
				.left {
					text-align: center;
					margin-top: 5%;  /* An absolute length */
				}
				.size {
					font-size: 30px;
				}
			</style>

	
	


		<div class="logo"><img src="../../revealjs.code/logo.svg" alt="" class="logoimage"></div>

	<div id="moreinfo">
		<a href="https://nfdi4ing.de/" target="_blank" rel="noopener noreferrer">Über NFDI4Ing</a>
		| 
		<a href="https://nfdi4ing.pages.rwth-aachen.de/education/education-pages/main/html_slides/kontakt.html" target="_blank" rel="noopener noreferrer">Kontakt</a>
		| 
		<a href="https://nfdi4ing.de/legal-notice/" target="_blank" rel="noopener noreferrer">Impressum</a>
	</div>


		<div id="back">
					<a href="http://nfdi4ing.pages.rwth-aachen.de/education/education-pages/main/html_slides/startpage.html"><img src="../../main/media_files/home.svg" alt="" class="backimage"></a>
			</div>

		<div id="back2">
					<a href="http://nfdi4ing.pages.rwth-aachen.de/education/education-pages/main/html_slides/startpage.html">Startseite</a>
			</div>

		
	<div id="lizenz">
		<a rel="license" href="http://creativecommons.org/licenses/by/4.0/" target="_blank" rel="noopener noreferrer"><img alt="Creative Commons License" style="border-width:10" src="https://i.creativecommons.org/l/by/4.0/88x31.png" /></a><br />This work is licensed under a <a target="_blank" rel="noopener noreferrer" href="http://creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0 International License</a>.
	</div>
